

package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}
import com.winhc.bigdata.spark.ng.dynamic.utils.DailyAggHandle

/**
 * @author: XuJiakai
 * @date: 2021/6/29 15:07
 *        经营异常
 */
case class company_abnormal_info() extends DailyAggHandle {
  override def getDynamicInfo(new_data: Map[String, String]): (String, Map[String, Any]) = {
    ("", Map(
      "code" -> "301901"
      , "description" -> "新增经营异常"
    ))
  }

  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {
    val keyno = new_data.getOrEmptyStr("company_id")
    val name = new_data.getOrEmptyStr("company_name")
    Seq(AssociationEntityInfo(keyno = keyno, name = name, risk_level = NgCompanyRiskLevelType.Caution, null))

  }
}

